var https = require("https");

function getRepos(username, callback){
// var username ='ollieParsley';
var options ={
	host: 'api.github.com',
	path:'/users/'+username+'/repos',
	method : 'GET',
	headers: {
		//mandatory to get api response from github
		 'User-Agent': 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.13) Gecko/20080311 Firefox/2.0.0.13'
	}
}
options.agent = new https.Agent();

var request = https.request(options, function(response){
	var body ='';
	//same as add litenser
	response.on("data", function(chunk){
		body += chunk.toString('utf8');
	});
	
	response.on ("end", function(){
		var repos =[];
		var json = JSON.parse(body);
		// console.log("body: ",body);
		json.forEach(function(repo){
			repos.push({
				name: repo.name,
				description : repo.description
			});
		});
		callback(repos);
	});
	
	request.on("error", function(error){
		console.log("ERROR: "+error.message);
	});
});
request.on("error", function(error){
	console.log("ERROR: "+error.message);
});
// console.log("req: ",request
request.end();
}

module.exports.getRepos = getRepos;