var fs = require("fs");
var config = JSON.parse(fs.readFileSync("./config.json"));
console.log("config: ",config);
var host = config.host;
var port = config.port;
var express = require("express");

var app = express();

// not requited sicr express 4
// app.use(app.router);
app.use(express.static(__dirname + "/public"));

app.get("/",function(request, response){
	response.send("hello");
});

app.get("/hello/:user",function(request, response){
	response.send("hello "+request.params.user);
});

var users = {
	"1":{
		"name":"Vijay",
		"age":25
	},
	"2":{
		"name":"madhu",
		"age":24
	}

}

app.get("/user/:id",function(request, response){
	var user = users[request.params.id];
	if(user){
		response.send(user.name+"'s age is "+user.age);
	}else{
		response.status(404).send("user not found");
		//deprecated
		//response.send("user not found", 404)
	}

});


app.listen(port, host);