var https = require("https");

function getRepos(username, callback){
var options ={
	host: 'api.github.com',
	path:'/users/'+username+'/repos',
	method : 'GET',
	headers: {
		//mandatory to get api response from github
		 'User-Agent': 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.13) Gecko/20080311 Firefox/2.0.0.13'
	}
}

var request = https.request(options, function(response){
	var body ='';
	//same as add litenser
	response.on("data", function(chunk){
		body += chunk.toString('utf8');
	});
	//listner when rendering is complete
	response.on ("end", function(){
		var repos =[];
		var json = JSON.parse(body);
		// console.log("body: ",body);
		json.forEach(function(repo){
			repos.push({
				name: repo.name,
				description : repo.description
			});
		});
		callback(repos);
	});
	request.on("error", function(error){
		console.log("ERROR1: "+error.message);
	});
});

request.on("error", function(error){
	console.log("ERROR2: "+error.message);
});
// console.log("req: ",request);
request.end();
}

// getRepos('ollieParsley', function(repos){
// 	console.log('ollieParsley has'+repos.length+"repos")
// })

getRepos('jyothendra', function(repos){
	console.log('jyothendra has'+repos.length+"repos")
})